aboutsummaryrefslogtreecommitdiffhomepage
path: root/gen/png
diff options
context:
space:
mode:
Diffstat (limited to 'gen/png')
-rwxr-xr-xgen/png19
1 files changed, 19 insertions, 0 deletions
diff --git a/gen/png b/gen/png
new file mode 100755
index 0000000..337fda1
--- /dev/null
+++ b/gen/png
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright 2021 Benjamin Barenblat
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+
+set -eu
+
+cp "$1" "$2"
+optipng -o7 "$2"